## rglimiter

rglimiter

## Properties

gboolean | enabled | Read / Write

## Types and Values

struct | GstRgLimiter

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstRgLimiter

## Description

This element applies signal compression/limiting to raw audio data. It performs strict hard limiting with soft-knee characteristics, using a threshold of -6 dB. This type of filter is mentioned in the proposed ReplayGain standard.

### Example launch line

    1
    2
    3

    gst-launch-1.0 filesrc location=filename.ext ! decodebin ! audioconvert \
               ! rgvolume pre-amp=6.0 headroom=10.0 ! rglimiter \
               ! audioconvert ! audioresample ! alsasink

Playback of a file

## Synopsis

### Element Information

plugin | replaygain
author | René Stadler <mail@renestadler.de>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string){ interleaved, non-interleaved }, channels=(int)[ 1, 2147483647 ], rate=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string){ interleaved, non-interleaved }, channels=(int)[ 1, 2147483647 ], rate=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstRgLimiter

    struct GstRgLimiter;

Opaque data structure.

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Enable processing.

Owner: GstRgLimiter

Flags: Read / Write

Default value: TRUE

## See Also

GstRgVolume